use clap::{Parser, Subcommand};

#[derive(Parser)]
#[command(author, version, about, long_about = None)]
#[command(propagate_version = true)]
pub struct Cli {
    #[command(subcommand)]
    pub command: Commands,
}

#[derive(Subcommand, Debug)]
pub enum Commands {
    /// Initialize a new modpack
    Init,

    /// List the mods in the modpack
    List,

    /// List the information of the modpack
    Info,

    /// Add a mod to the modpack
    Add {
        /// The name of the mod to add
        name: String,
    },
}
