use serde::Deserialize;

#[derive(Deserialize, Debug)]
pub struct MinecraftVersion {
    pub version: String,
    pub version_type: String,
    pub date: String,
    pub major: bool,
}

pub async fn get_minecraft_versions() -> Result<Vec<MinecraftVersion>, reqwest::Error> {
    reqwest::get("https://api.modrinth.com/v2/tag/game_version")
        .await?
        .json::<Vec<MinecraftVersion>>()
        .await
}
